package jalview.ws2.actions.alignment;

import java.io.IOException;

import jalview.datamodel.AlignmentI;

import jalview.ws2.api.WebServiceJobHandle;
import jalview.ws2.client.api.AlignmentWebServiceClientI;
import jalview.ws2.client.api.WebServiceClientI;

/**
 * An interface for providing alignment results to the alignment services. Web
 * service clients that want to support alignment actions must implement this
 * interface in addition to {@link WebServiceClientI}.
 * 
 * @author mmwarowny
 *
 * @see AlignmentWebServiceClientI
 */
public interface AlignmentProviderI
{
  /**
   * Get the alignment result for the job from the server.
   * 
   * @param job
   *          web service job
   * @return alignment result
   * @throws IOException
   *           server communication error
   */
  public AlignmentI getAlignment(WebServiceJobHandle job) throws IOException;
}
